## org.eclipse.amp.amf.testing.ui.outline
Class ATestOutlineNodeAdapterFactory

    java.lang.Object
      org.eclipse.xtext.ui.editor.outline.actions.DefaultContentOutlineNodeAdapterFactory
          org.eclipse.amp.amf.testing.ui.outline.ATestOutlineNodeAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory, org.eclipse.xtext.ui.editor.outline.actions.IContentOutlineNodeAdapterFactory

    public class ATestOutlineNodeAdapterFactory

extends org.eclipse.xtext.ui.editor.outline.actions.DefaultContentOutlineNodeAdapterFactory

Constructor Summary
`ATestOutlineNodeAdapterFactory()`

Method Summary
`java.lang.Class<?>[]` `getAdapterList()`

Methods inherited from class org.eclipse.xtext.ui.editor.outline.actions.DefaultContentOutlineNodeAdapterFactory
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestOutlineNodeAdapterFactory

    public ATestOutlineNodeAdapterFactory()

Method Detail

### getAdapterList

    public java.lang.Class<?>[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Overrides:
    `getAdapterList` in class `org.eclipse.xtext.ui.editor.outline.actions.DefaultContentOutlineNodeAdapterFactory`